The screenreader "Remove" doesn't do anything

Bug #1568613 reported by Kristina Hoeppner on 2016-04-10
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Mahara
High
Robert Lyon
16.04
High
Robert Lyon
16.10
High
Unassigned

Bug Description

Mahara 16.04dev

When you want to remove a tag (in the new tag search) or a person (when sending a message) just using a screenreader, clicking the "Remove" item doesn't do anything. The tag / user is not removed.

<span class="select2-hidden-accessible">Remove "interesting"</span>

It's just a screenreader issue and works fine for sighted.

Robert Lyon (robertl-9) wrote :

The problem here is the non click (mouse) way of deleting a tag is to press enter and then hit the backspace key.

This means you have to delete all the tags to the right of the one you want to delete, which is a bit of a pain - however trying to get the select2 to recognise the keypress while focused on the 'remove' x button and not get confused with the search ability of the select2 will be the challenge.

In htdocs/js/select2/select2.full.js on line 1586 there is:

   this.$selection.on('click', function (evt) {

we'd need to add the remove code to the keypress as well

Reviewed: https://reviews.mahara.org/7068
Committed: https://git.mahara.org/mahara/mahara/commit/5ec92cddcf24fca18fdb1b24707216a5ea24bde8
Submitter: Aaron Wells (<email address hidden>)
Branch: master

commit 5ec92cddcf24fca18fdb1b24707216a5ea24bde8
Author: Robert Lyon <email address hidden>
Date: Tue Oct 4 15:00:10 2016 +1300

Bug 1568613: Allow keypress to delete a selected option in select2

So that it is more keyboard accessible

behatnotneeded

Change-Id: I7dd437ae6cc4a70e6817fad570df884b5f8b12cb
Signed-off-by: Robert Lyon <email address hidden>

Aaron Wells (u-aaronw) wrote :

Hi Robert,

Is this something we can upstream back to the Select2 project?

Cheers,
Aaron

Mahara Bot (dev-mahara) wrote :

Patch for "16.10_STABLE" branch: https://reviews.mahara.org/7160

Reviewed: https://reviews.mahara.org/7160
Committed: https://git.mahara.org/mahara/mahara/commit/aec2699112641e7ac5928bd087d0fa7ddbf4b91f
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.10_STABLE

commit aec2699112641e7ac5928bd087d0fa7ddbf4b91f
Author: Robert Lyon <email address hidden>
Date: Tue Oct 4 15:00:10 2016 +1300

Bug 1568613: Allow keypress to delete a selected option in select2

So that it is more keyboard accessible

behatnotneeded

Change-Id: I7dd437ae6cc4a70e6817fad570df884b5f8b12cb
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 5ec92cddcf24fca18fdb1b24707216a5ea24bde8)

Mahara Bot (dev-mahara) wrote :

Reviewed: https://reviews.mahara.org/7144
Committed: https://git.mahara.org/mahara/mahara/commit/8635f84d0f3452ac00e3ed1196be3940ec4e9c82
Submitter: Robert Lyon (<email address hidden>)
Branch: 16.04_STABLE

commit 8635f84d0f3452ac00e3ed1196be3940ec4e9c82
Author: Robert Lyon <email address hidden>
Date: Tue Oct 4 15:00:10 2016 +1300

Bug 1568613: Allow keypress to delete a selected option in select2

So that it is more keyboard accessible

behatnotneeded

Change-Id: I7dd437ae6cc4a70e6817fad570df884b5f8b12cb
Signed-off-by: Robert Lyon <email address hidden>
(cherry picked from commit 5ec92cddcf24fca18fdb1b24707216a5ea24bde8)

Robert Lyon (robertl-9) on 2016-10-21
Changed in mahara:
milestone: 16.04.1 → none
Robert Lyon (robertl-9) on 2016-10-25
Changed in mahara:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers